<?php
/**
 * Clase Base DP para BaseCrCreditoCronoDP
 *
 * @package    
 * @subpackage BaseCrCreditoCronoDP
 * @author     Willy
 * @version    SVN:: BaseCrCreditoCronoDP.class.php,v 1.1 2013-01-04 11:11:45 william.taype Exp $
 */
abstract class BaseCrCreditoCronoDP extends CrCreditoCronoBN
{
  /* N�mero de registros afectados */
  private $nRowsAffected;

  public function __construct($bSetDefault = true)
  {
    if( $bSetDefault instanceof CrCreditoCronoBN )
    {
      $o_CrCreditoCronoBN = $bSetDefault;
      if($o_CrCreditoCronoBN->getIdcreditocrono()) : $this->setIdcreditocrono($o_CrCreditoCronoBN->getIdcreditocrono()); endif;
      if($o_CrCreditoCronoBN->getFechainicio()) : $this->setFechainicio($o_CrCreditoCronoBN->getFechainicio()); endif;
      if($o_CrCreditoCronoBN->getFechavencimiento()) : $this->setFechavencimiento($o_CrCreditoCronoBN->getFechavencimiento()); endif;
      if($o_CrCreditoCronoBN->getMontocapital()) : $this->setMontocapital($o_CrCreditoCronoBN->getMontocapital()); endif;
      if($o_CrCreditoCronoBN->getGastoAdministrativo()) : $this->setGastoAdministrativo($o_CrCreditoCronoBN->getGastoAdministrativo()); endif;
      if($o_CrCreditoCronoBN->getMontointeres()) : $this->setMontointeres($o_CrCreditoCronoBN->getMontointeres()); endif;
      if($o_CrCreditoCronoBN->getPorcinteresmensual()) : $this->setPorcinteresmensual($o_CrCreditoCronoBN->getPorcinteresmensual()); endif;
      if($o_CrCreditoCronoBN->getPorcinteresdiariomora()) : $this->setPorcinteresdiariomora($o_CrCreditoCronoBN->getPorcinteresdiariomora()); endif;
      if($o_CrCreditoCronoBN->getFechacancelacion()) : $this->setFechacancelacion($o_CrCreditoCronoBN->getFechacancelacion()); endif;
      if($o_CrCreditoCronoBN->getUsuariocancelacion()) : $this->setUsuariocancelacion($o_CrCreditoCronoBN->getUsuariocancelacion()); endif;
      if($o_CrCreditoCronoBN->getNumeromeses()) : $this->setNumeromeses($o_CrCreditoCronoBN->getNumeromeses()); endif;
      if($o_CrCreditoCronoBN->getObservacion()) : $this->setObservacion($o_CrCreditoCronoBN->getObservacion()); endif;
      if($o_CrCreditoCronoBN->getTipocredito()) : $this->setTipocredito($o_CrCreditoCronoBN->getTipocredito()); endif;
      if($o_CrCreditoCronoBN->getEstado()) : $this->setEstado($o_CrCreditoCronoBN->getEstado()); endif;
      if($o_CrCreditoCronoBN->getOrigen()) : $this->setOrigen($o_CrCreditoCronoBN->getOrigen()); endif;
      if($o_CrCreditoCronoBN->getSaldocredito()) : $this->setSaldocredito($o_CrCreditoCronoBN->getSaldocredito()); endif;
      if($o_CrCreditoCronoBN->getMorareal()) : $this->setMorareal($o_CrCreditoCronoBN->getMorareal()); endif;
      if($o_CrCreditoCronoBN->getMoraamortizada()) : $this->setMoraamortizada($o_CrCreditoCronoBN->getMoraamortizada()); endif;
      if($o_CrCreditoCronoBN->getMontototal()) : $this->setMontototal($o_CrCreditoCronoBN->getMontototal()); endif;
      if($o_CrCreditoCronoBN->getCreditoreferencia()) : $this->setCreditoreferencia($o_CrCreditoCronoBN->getCreditoreferencia()); endif;
      if($o_CrCreditoCronoBN->getMontoextra()) : $this->setMontoextra($o_CrCreditoCronoBN->getMontoextra()); endif;
      if($o_CrCreditoCronoBN->getEliminado()) : $this->setEliminado($o_CrCreditoCronoBN->getEliminado()); endif;
      if($o_CrCreditoCronoBN->getFechaeliminado()) : $this->setFechaeliminado($o_CrCreditoCronoBN->getFechaeliminado()); endif;
      if($o_CrCreditoCronoBN->getUsuarioeliminado()) : $this->setUsuarioeliminado($o_CrCreditoCronoBN->getUsuarioeliminado()); endif;
      if($o_CrCreditoCronoBN->getFechacreacion()) : $this->setFechacreacion($o_CrCreditoCronoBN->getFechacreacion()); endif;
      if($o_CrCreditoCronoBN->getUsuariocreacion()) : $this->setUsuariocreacion($o_CrCreditoCronoBN->getUsuariocreacion()); endif;
      if($o_CrCreditoCronoBN->getIdcliente()) : $this->setIdcliente($o_CrCreditoCronoBN->getIdcliente()); endif;
      if($o_CrCreditoCronoBN->getGarante()) : $this->getGarante($o_CrCreditoCronoBN->getGarante()); endif;
      if($o_CrCreditoCronoBN->getDireccionGarante()) : $this->getDireccionGarante($o_CrCreditoCronoBN->getDireccionGarante()); endif;
      if($o_CrCreditoCronoBN->getTelefonoGarante()) : $this->getTelefonoGarante($o_CrCreditoCronoBN->getTelefonoGarante()); endif;
      if($o_CrCreditoCronoBN->getJuicioreferencia()) : $this->setJuicioreferencia($o_CrCreditoCronoBN->getJuicioreferencia()); endif;
      if($o_CrCreditoCronoBN->getFlagjuicio()) : $this->setFlagjuicio($o_CrCreditoCronoBN->getFlagjuicio()); endif;
      if($o_CrCreditoCronoBN->getFechajuicio()) : $this->setFechajuicio($o_CrCreditoCronoBN->getFechajuicio()); endif;
      if($o_CrCreditoCronoBN->getUsuariojuicio()) : $this->setUsuariojuicio($o_CrCreditoCronoBN->getUsuariojuicio()); endif;
      if($o_CrCreditoCronoBN->getIdcolaborador()) : $this->setIdcolaborador($o_CrCreditoCronoBN->getIdcolaborador()); endif;
      if($o_CrCreditoCronoBN->getPeriodopago()) : $this->setPeriodopago($o_CrCreditoCronoBN->getPeriodopago()); endif;
      if($o_CrCreditoCronoBN->getFechatrx()) : $this->setFechatrx($o_CrCreditoCronoBN->getFechatrx()); endif;
      if($o_CrCreditoCronoBN->getMoneda()) : $this->setMoneda($o_CrCreditoCronoBN->getMoneda()); endif;
      if($o_CrCreditoCronoBN->getFlagpagoanticipado()) : $this->setFlagpagoanticipado($o_CrCreditoCronoBN->getFlagpagoanticipado()); endif;
      if($o_CrCreditoCronoBN->getFechapagoanticipado()) : $this->setFechapagoanticipado($o_CrCreditoCronoBN->getFechapagoanticipado()); endif;
      if($o_CrCreditoCronoBN->getUsuariopagoanticipado()) : $this->setUsuariopagoanticipado($o_CrCreditoCronoBN->getUsuariopagoanticipado()); endif;
    }
  }

  /* Obtiene el n�mero de registros afectados */
  public function getRowsAffected()
  {
    return $this->nRowsAffected;
  }

  public function save()
  {
    try
    {
      $con = Conexion::getConexion();
      $sql = "SELECT IF(MAX(idcreditocrono),(MAX(idcreditocrono)+1), 1) AS Maximo FROM cr_credito_crono;";
      $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
      $result = mysql_query($sql, $oLink);
      $row = mysql_fetch_array($result);
      $this->setIdcreditocrono($row[0]);

      if($this->getIdcreditocrono()){
        $a_Fields = array();

        if($this->getIdcreditocrono()) : $a_Fields['idcreditocrono'] = ($this->getIdcreditocrono()); endif;
        if($this->getFechainicio()) : $a_Fields['fechainicio'] = ($this->getFechainicio()); endif;
        if($this->getFechavencimiento()) : $a_Fields['fechavencimiento'] = ($this->getFechavencimiento()); endif;
        if($this->getMontocapital()) : $a_Fields['montocapital'] = ($this->getMontocapital()); endif;
        if($this->getGastoAdministrativo()) : $a_Fields['gastoadministrativo'] = ($this->getGastoAdministrativo()); endif;
        if($this->getMontointeres()) : $a_Fields['montointeres'] = ($this->getMontointeres()); endif;
        if($this->getPorcinteresmensual()) : $a_Fields['porcinteresmensual'] = ($this->getPorcinteresmensual()); endif;
        if($this->getPorcinteresdiariomora()) : $a_Fields['porcinteresdiariomora'] = ($this->getPorcinteresdiariomora()); endif;
        if($this->getFechacancelacion()) : $a_Fields['fechacancelacion'] = ($this->getFechacancelacion()); endif;
        if($this->getUsuariocancelacion()) : $a_Fields['usuariocancelacion'] = ($this->getUsuariocancelacion()); endif;
        if($this->getNumeromeses()) : $a_Fields['numeromeses'] = ($this->getNumeromeses()); endif;
        if($this->getDuracion()) : $a_Fields['duracion'] = ($this->getDuracion()); endif;
        if($this->getObservacion()) : $a_Fields['observacion'] = ($this->getObservacion()); endif;
        if($this->getTipocredito()) : $a_Fields['tipocredito'] = ($this->getTipocredito()); endif;
        if($this->getEstado()) : $a_Fields['estado'] = ($this->getEstado()); endif;
        if($this->getOrigen()) : $a_Fields['origen'] = ($this->getOrigen()); endif;
        if($this->getSaldocredito()) : $a_Fields['saldocredito'] = ($this->getSaldocredito()); endif;
        if($this->getMorareal()) : $a_Fields['morareal'] = ($this->getMorareal()); endif;
        if($this->getMoraamortizada()) : $a_Fields['moraamortizada'] = ($this->getMoraamortizada()); endif;
        if($this->getMontototal()) : $a_Fields['montototal'] = ($this->getMontototal()); endif;
        if($this->getCreditoreferencia()) : $a_Fields['creditoreferencia'] = ($this->getCreditoreferencia()); endif;
        if($this->getMontoextra()) : $a_Fields['montoextra'] = ($this->getMontoextra()); endif;
        if($this->getEliminado()) : $a_Fields['eliminado'] = ($this->getEliminado()); endif;
        if($this->getFechaeliminado()) : $a_Fields['fechaeliminado'] = ($this->getFechaeliminado()); endif;
        if($this->getUsuarioeliminado()) : $a_Fields['usuarioeliminado'] = ($this->getUsuarioeliminado()); endif;
        if($this->getFechacreacion()) : $a_Fields['fechacreacion'] = ($this->getFechacreacion()); endif;
        if($this->getUsuariocreacion()) : $a_Fields['usuariocreacion'] = ($this->getUsuariocreacion()); endif;
        if($this->getIdcliente()) : $a_Fields['idcliente'] = ($this->getIdcliente()); endif;
        if($this->getGarante()) : $a_Fields['garante'] = ($this->getGarante()); endif;
        if($this->getIdcliente()) : $a_Fields['direcciongarante'] = ($this->getDireccionGarante()); endif;
        if($this->getTelefonoGarante()) : $a_Fields['telefonogarante'] = ($this->getTelefonoGarante()); endif;
        if($this->getJuicioreferencia()) : $a_Fields['juicioreferencia'] = ($this->getJuicioreferencia()); endif;
        if($this->getFlagjuicio()) : $a_Fields['flagjuicio'] = ($this->getFlagjuicio()); endif;
        if($this->getFechajuicio()) : $a_Fields['fechajuicio'] = ($this->getFechajuicio()); endif;
        if($this->getUsuariojuicio()) : $a_Fields['usuariojuicio'] = ($this->getUsuariojuicio()); endif;
        if($this->getIdcolaborador()) : $a_Fields['idcolaborador'] = ($this->getIdcolaborador()); endif;
        if($this->getPeriodopago()) : $a_Fields['periodopago'] = ($this->getPeriodopago()); endif;
        if($this->getFechatrx()) : $a_Fields['fechatrx'] = ($this->getFechatrx()); endif;
        if($this->getMoneda()) : $a_Fields['moneda'] = ($this->getMoneda()); endif;
        if($this->getFlagpagoanticipado()) : $a_Fields['flagpagoanticipado'] = ($this->getFlagpagoanticipado()); endif;
        if($this->getFechapagoanticipado()) : $a_Fields['fechapagoanticipado'] = ($this->getFechapagoanticipado()); endif;
        if($this->getUsuariopagoanticipado()) : $a_Fields['usuariopagoanticipado'] = ($this->getUsuariopagoanticipado()); endif;

        $sStringField = arrayClass::implode_keys(',', $a_Fields);
        $sStringValue = "'".implode("','", $a_Fields)."'";

        $sql = "INSERT INTO cr_credito_crono (".$sStringField.") VALUES (".$sStringValue.");";
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
        if($result)
        {
          $this->nRowsAffected = (int) mysql_affected_rows($oLink);
        }
        else
        {
          throw new Exception( mysql_error($oLink) );
        }
      }
      else
      {
        throw new Exception( 'El id no esta registrado.');
      }
    }
    catch ( Exception $o_Error )
    {
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
    return true;
  }

  public function update()
  {
    try
    {
      if($this->getIdcreditocrono())
      {
        $a_Fields = array();

        if($this->getIdcreditocrono()) : $a_Fields['idcreditocrono'] = ($this->getIdcreditocrono()); endif;
        if($this->getFechainicio()) : $a_Fields['fechainicio'] = ($this->getFechainicio()); endif;
        if($this->getFechavencimiento()) : $a_Fields['fechavencimiento'] = ($this->getFechavencimiento()); endif;
        if($this->getMontocapital()) : $a_Fields['montocapital'] = ($this->getMontocapital()); endif;
        if($this->getGastoAdministrativo()) : $a_Fields['gastoadministrativo'] = ($this->getGastoAdministrativo()); endif;
        if($this->getMontointeres()) : $a_Fields['montointeres'] = ($this->getMontointeres()); endif;
        if($this->getPorcinteresmensual()) : $a_Fields['porcinteresmensual'] = ($this->getPorcinteresmensual()); endif;
        if($this->getPorcinteresdiariomora()) : $a_Fields['porcinteresdiariomora'] = ($this->getPorcinteresdiariomora()); endif;
        if($this->getFechacancelacion()) : $a_Fields['fechacancelacion'] = ($this->getFechacancelacion()); endif;
        if($this->getUsuariocancelacion()) : $a_Fields['usuariocancelacion'] = ($this->getUsuariocancelacion()); endif;
        if($this->getNumeromeses()) : $a_Fields['numeromeses'] = ($this->getNumeromeses()); endif;
        if($this->getDuracion()) : $a_Fields['duracion'] = ($this->getDuracion()); endif;
        if($this->getObservacion()) : $a_Fields['observacion'] = ($this->getObservacion()); endif;
        if($this->getTipocredito()) : $a_Fields['tipocredito'] = ($this->getTipocredito()); endif;
        if($this->getEstado()) : $a_Fields['estado'] = ($this->getEstado()); endif;
        if($this->getDescuento()) : $a_Fields['descuento'] = ($this->getDescuento()); endif;
        if($this->getOrigen()) : $a_Fields['origen'] = ($this->getOrigen()); endif;
        if($this->getSaldocredito()) : $a_Fields['saldocredito'] = ($this->getSaldocredito()); endif;
        if($this->getMorareal()) : $a_Fields['morareal'] = ($this->getMorareal()); endif;
        if($this->getMoraamortizada()) : $a_Fields['moraamortizada'] = ($this->getMoraamortizada()); endif;
        if($this->getMontototal()) : $a_Fields['montototal'] = ($this->getMontototal()); endif;
        if($this->getCreditoreferencia()) : $a_Fields['creditoreferencia'] = ($this->getCreditoreferencia()); endif;
        if($this->getMontoextra()) : $a_Fields['montoextra'] = ($this->getMontoextra()); endif;
        if($this->getEliminado()) : $a_Fields['eliminado'] = ($this->getEliminado()); endif;
        if($this->getFechaeliminado()) : $a_Fields['fechaeliminado'] = ($this->getFechaeliminado()); endif;
        if($this->getUsuarioeliminado()) : $a_Fields['usuarioeliminado'] = ($this->getUsuarioeliminado()); endif;
        if($this->getFechacreacion()) : $a_Fields['fechacreacion'] = ($this->getFechacreacion()); endif;
        if($this->getUsuariocreacion()) : $a_Fields['usuariocreacion'] = ($this->getUsuariocreacion()); endif;
        if($this->getGarante()) : $a_Fields['garante'] = ($this->getGarante()); endif;
        if($this->getIdcliente()) : $a_Fields['direcciongarante'] = ($this->getDireccionGarante()); endif;
        if($this->getTelefonoGarante()) : $a_Fields['telefonogarante'] = ($this->getTelefonoGarante()); endif;
        if($this->getIdcliente()) : $a_Fields['idcliente'] = ($this->getIdcliente()); endif;
        if($this->getJuicioreferencia()) : $a_Fields['juicioreferencia'] = ($this->getJuicioreferencia()); endif;
        if($this->getFlagjuicio()) : $a_Fields['flagjuicio'] = ($this->getFlagjuicio()); endif;
        if($this->getFechajuicio()) : $a_Fields['fechajuicio'] = ($this->getFechajuicio()); endif;
        if($this->getUsuariojuicio()) : $a_Fields['usuariojuicio'] = ($this->getUsuariojuicio()); endif;
        if($this->getIdcolaborador()) : $a_Fields['idcolaborador'] = ($this->getIdcolaborador()); endif;
        if($this->getPeriodopago()) : $a_Fields['periodopago'] = ($this->getPeriodopago()); endif;
        if($this->getFechatrx()) : $a_Fields['fechatrx'] = ($this->getFechatrx()); endif;
        if($this->getMoneda()) : $a_Fields['moneda'] = ($this->getMoneda()); endif;
        if($this->getFlagpagoanticipado()) : $a_Fields['flagpagoanticipado'] = ($this->getFlagpagoanticipado()); endif;
        if($this->getFechapagoanticipado()) : $a_Fields['fechapagoanticipado'] = ($this->getFechapagoanticipado()); endif;
        if($this->getUsuariopagoanticipado()) : $a_Fields['usuariopagoanticipado'] = ($this->getUsuariopagoanticipado()); endif;

        $sStringField = arrayClass::implode_key_value(',', $a_Fields);

        $con = Conexion::getConexion();
        $sql = "UPDATE cr_credito_crono SET ".$sStringField." WHERE 1 AND idcreditocrono='".$this->getIdcreditocrono()."';";
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
        if($result)
        {
          $this->nRowsAffected = (int) mysql_affected_rows($oLink);
        }
        else
        {
          throw new Exception( mysql_error($oLink) );
        }
      }
      else
      {
        throw new Exception( 'El id no esta registrado.');
      }
    }
    catch ( Exception $o_Error )
    {
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
    return true;
  }

  public function delete()
  {
    try
    {
      if($this->getIdcreditocrono())
      {
        $a_Fields = array();

        $con = Conexion::getConexion();
        $sql = "DELETE FROM cr_credito_crono WHERE 1 AND idcreditocrono='".$this->getIdcreditocrono()."';"; 
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
        if($result)
        {
          $this->nRowsAffected = (int) mysql_affected_rows($oLink);
        }
        else
        {
          throw new Exception( mysql_error($oLink) );
        }
      }
      else
      {
        throw new Exception( 'El id no esta registrado.');
      }
    }
    catch ( Exception $o_Error )
    {
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
    return true;
  }

  /* B�squeda del registro por la llave primaria */
  public static function selectByPK($vIdcreditocrono)
  {
    try
    {
      $con = Conexion::getConexion();
      $sql = "SELECT idcreditocrono, fechainicio, fechavencimiento, montocapital, montointeres, porcinteresmensual, porcinteresdiariomora, fechacancelacion, usuariocancelacion, numeromeses, observacion, tipocredito, estado, origen, saldocredito, morareal, moraamortizada, montototal, creditoreferencia, montoextra, eliminado, fechaeliminado, usuarioeliminado, fechacreacion, usuariocreacion, idcliente,garante,direcciongarante,telefonogarante, juicioreferencia, flagjuicio, fechajuicio, usuariojuicio, idcolaborador, periodopago, fechatrx, moneda, flagpagoanticipado, fechapagoanticipado, usuariopagoanticipado FROM cr_credito_crono WHERE 1 AND idcreditocrono='".$vIdcreditocrono."'; ";
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $o_Propel = $result ? mysql_fetch_object($result) : null;
      
      return $o_Propel?self::insertObjectBN($o_Propel):null;

    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }

  /* Devuelve un objeto con m�todos de acceso */
  private function insertObjectBN($o_propel){
    $o_CrCreditoCronoDP = new CrCreditoCronoDP();
    $o_CrCreditoCronoDP->setIdcreditocrono($o_propel->idcreditocrono);
    $o_CrCreditoCronoDP->setFechainicio($o_propel->fechainicio);
    $o_CrCreditoCronoDP->setFechavencimiento($o_propel->fechavencimiento);
    $o_CrCreditoCronoDP->setMontocapital($o_propel->montocapital);
    $o_CrCreditoCronoDP->setMontointeres($o_propel->montointeres);
    $o_CrCreditoCronoDP->setPorcinteresmensual($o_propel->porcinteresmensual);
    $o_CrCreditoCronoDP->setPorcinteresdiariomora($o_propel->porcinteresdiariomora);
    $o_CrCreditoCronoDP->setFechacancelacion($o_propel->fechacancelacion);
    $o_CrCreditoCronoDP->setUsuariocancelacion($o_propel->usuariocancelacion);
    $o_CrCreditoCronoDP->setNumeromeses($o_propel->numeromeses);
    $o_CrCreditoCronoDP->setDuracion($o_propel->duracion);
    $o_CrCreditoCronoDP->setObservacion($o_propel->observacion);
    $o_CrCreditoCronoDP->setTipocredito($o_propel->tipocredito);
    $o_CrCreditoCronoDP->setEstado($o_propel->estado);
    $o_CrCreditoCronoDP->setOrigen($o_propel->origen);
    $o_CrCreditoCronoDP->setSaldocredito($o_propel->saldocredito);
    $o_CrCreditoCronoDP->setMorareal($o_propel->morareal);
    $o_CrCreditoCronoDP->setMoraamortizada($o_propel->moraamortizada);
    $o_CrCreditoCronoDP->setMontototal($o_propel->montototal);
    $o_CrCreditoCronoDP->setCreditoreferencia($o_propel->creditoreferencia);
    $o_CrCreditoCronoDP->setMontoextra($o_propel->montoextra);
    $o_CrCreditoCronoDP->setEliminado($o_propel->eliminado);
    $o_CrCreditoCronoDP->setFechaeliminado($o_propel->fechaeliminado);
    $o_CrCreditoCronoDP->setUsuarioeliminado($o_propel->usuarioeliminado);
    $o_CrCreditoCronoDP->setFechacreacion($o_propel->fechacreacion);
    $o_CrCreditoCronoDP->setUsuariocreacion($o_propel->usuariocreacion);
    $o_CrCreditoCronoDP->setIdcliente($o_propel->idcliente);
    $o_CrCreditoCronoDP->setGarante();($o_propel->garante);
    $o_CrCreditoCronoDP->setDireccionGarante($o_propel->direcciongarante);
    $o_CrCreditoCronoDP->setTelefonoGarante($o_propel->telefonogarante);
    $o_CrCreditoCronoDP->setJuicioreferencia($o_propel->juicioreferencia);
    $o_CrCreditoCronoDP->setFlagjuicio($o_propel->flagjuicio);
    $o_CrCreditoCronoDP->setFechajuicio($o_propel->fechajuicio);
    $o_CrCreditoCronoDP->setUsuariojuicio($o_propel->usuariojuicio);
    $o_CrCreditoCronoDP->setIdcolaborador($o_propel->idcolaborador);
    $o_CrCreditoCronoDP->setPeriodopago($o_propel->periodopago);
    $o_CrCreditoCronoDP->setFechatrx($o_propel->fechatrx);
    $o_CrCreditoCronoDP->setMoneda($o_propel->moneda);
    $o_CrCreditoCronoDP->setFlagpagoanticipado($o_propel->flagpagoanticipado);
    $o_CrCreditoCronoDP->setFechapagoanticipado($o_propel->fechapagoanticipado);
    $o_CrCreditoCronoDP->setUsuariopagoanticipado($o_propel->usuariopagoanticipado);
    return $o_CrCreditoCronoDP;
  }
}